-- [T_BENEFITS]
if exists (select * from [RDS].[T_BENEFITS] where len([RecipeValidationLexem]) > 6000)
	raiserror('Уменьшить поле [RecipeValidationLexem] в таблице [T_BENEFITS]', 16, 10);
ALTER TABLE [RDS].[T_BENEFITS] ALTER COLUMN [RecipeValidationLexem] varchar(6000) NULL

-- [T_DIVISION]
if exists (select * from [RDS].[T_DIVISION] where len([Adress]) > 255)
	raiserror('Уменьшить поле [Adress] в таблице [T_DIVISION]', 16, 10);
ALTER TABLE [RDS].[T_DIVISION] ALTER COLUMN [Adress] varchar(255) NULL

-- [T_DIVISION_LINK_STRUCTURE_BED]
if exists (select * from [RDS].[T_DIVISION_LINK_STRUCTURE_BED] where len([Info]) > 255)
	raiserror('Уменьшить поле [Info] в таблице [T_DIVISION_LINK_STRUCTURE_BED]', 16, 10);
ALTER TABLE [RDS].[T_DIVISION_LINK_STRUCTURE_BED] ALTER COLUMN [Info] varchar(255) NULL
GO

-- [T_DRUG_APPLICATION_LIST_ITEM_FETURE]
if exists (select * from [RDS].[T_DRUG_APPLICATION_LIST_ITEM_FETURE] where len([PreparatId]) > 255)
	raiserror('Уменьшить поле [PreparatId] в таблице [T_DRUG_APPLICATION_LIST_ITEM_FETURE]', 16, 10);
ALTER TABLE [RDS].[T_DRUG_APPLICATION_LIST_ITEM_FETURE] ALTER COLUMN [PreparatId] varchar(255) NULL

-- [T_HOSPITALIZATION_REFERRAL]
if exists (select * from [RDS].[T_HOSPITALIZATION_REFERRAL] where len([Diagnosis]) > 1024)
	raiserror('Уменьшить поле [Diagnosis] в таблице [T_HOSPITALIZATION_REFERRAL]', 16, 10);
ALTER TABLE [RDS].[T_HOSPITALIZATION_REFERRAL] ALTER COLUMN [Diagnosis] varchar(1024) NULL

-- [T_INTEGRATION_QUEUE]
if exists (select * from [RDS].[T_INTEGRATION_QUEUE] where len([NameZipLexem]) > 255)
	raiserror('Уменьшить поле [NameZipLexem] в таблице [T_INTEGRATION_QUEUE]', 16, 10);
ALTER TABLE [RDS].[T_INTEGRATION_QUEUE] ALTER COLUMN [NameZipLexem] varchar(255) NULL

-- [T_LISTS_ENTITY]
if exists (select * from [RDS].[T_LISTS_ENTITY] where len([PreferedFilter]) > 512)
	raiserror('Уменьшить поле [PreferedFilter] в таблице [T_LISTS_ENTITY]', 16, 10);
ALTER TABLE [RDS].[T_LISTS_ENTITY] ALTER COLUMN [PreferedFilter] varchar(512) NULL

if exists (select * from [RDS].[T_LISTS_ENTITY] where len([HiddenFilter]) > 512)
	raiserror('Уменьшить поле [HiddenFilter] в таблице [T_LISTS_ENTITY]', 16, 10);
ALTER TABLE [RDS].[T_LISTS_ENTITY] ALTER COLUMN [HiddenFilter] varchar(512) NULL

-- [T_PROPERTY_CUSTOM_FORM_BASE]
if exists (select * from [RDS].[T_PROPERTY_CUSTOM_FORM_BASE] where len([Designer]) > 255)
	raiserror('Уменьшить поле [Designer] в таблице [T_PROPERTY_CUSTOM_FORM_BASE]', 16, 10);
ALTER TABLE [RDS].[T_PROPERTY_CUSTOM_FORM_BASE] ALTER COLUMN [Designer] varchar(255) NOT NULL

if exists (select * from [RDS].[T_PROPERTY_CUSTOM_FORM_BASE] where len([Lexem]) > 255)
	raiserror('Уменьшить поле [Lexem] в таблице [T_PROPERTY_CUSTOM_FORM_BASE]', 16, 10);
ALTER TABLE [RDS].[T_PROPERTY_CUSTOM_FORM_BASE] ALTER COLUMN [Lexem] varchar(255) NULL

-- [T_QUEUE_RESPONSE]
if exists (select * from [RDS].[T_QUEUE_RESPONSE] where len([Lexem]) > 255)
	raiserror('Уменьшить поле [Lexem] в таблице [T_QUEUE_RESPONSE]', 16, 10);
ALTER TABLE [RDS].[T_QUEUE_RESPONSE] ALTER COLUMN [Lexem] varchar(255) NULL
GO

